﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

namespace PivotApp1
{

    public class Car
    {
        public string Name { get; set; }
        public int Body { get; set; }

        public Car(string name, int body)
        {
            Body = body;
            Name = name;
        }
    }

    public partial class MainPage : PhoneApplicationPage
    {
        Car[] names = new Car[10] {new Car("Toyota RAV4", 1),
											new Car("Toyota Camry", 2),
											new Car("Nissan Patrol", 1),
											new Car("GMC Youkon", 1),
											new Car("Porshe Cayenne", 1),
											new Car("Toyota Landcruiser", 1),
											new Car("Nissan Teena", 2),
											new Car("Renault Megane", 2),
											new Car("Lexus LS-460", 2),
											new Car("Honda Pilot", 1)};

        // Constructor
        public MainPage()
        {
            InitializeComponent();
            SUVList.ItemsSource = from n in names
                                  where (n.Body == 1 )
                                  orderby n.Name
                                  select new Car(n.Name, n.Body);

            SedanlList.ItemsSource = from n in names
                                   where (n.Body == 2 )
                                   orderby n.Name
                                   select new Car(n.Name, n.Body);

            allList.ItemsSource = from n in names
                                  orderby n.Name
                                  select new Car(n.Name, n.Body);
        }
    }
}